Subject: bug#48974: A possible shepherd bug (it's very minor)

From: Leo Prikler <[email-masked]>
Date: Sat, 12 Jun 2021 21:39:18 +0200

Am Samstag, den 12.06.2021, 09:26 -0400 schrieb Joshua Branson:
> Hello!
> 
> I've had this issue every since I enabled automatic login on my guix
> system like so:
> 
> #+BEGIN_SRC scheme
> (define %my-desktop-services
>   (modify-services
>       %desktop-services 
>     (mingetty-service-type config =>
>                            (mingetty-configuration
>                             (inherit config)
>                             ;;auto login as joshua
>                             (auto-login "joshua")))))
> 
> (operating-system
>    ...
>    (services (list %my-desktop-services)))
> #+END_SRC
I am sorry to say this, but rather than this being (just) a bug with
shepherd, your config looks seriously borked.  Why are you asking Guix
to autologin you on *every available console*?

Regards,
Leo